#
# spec file for package xmms (Version 1.2.10)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel giflib glib glib-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gnome-patch-translation gpm grep groff gtk gtk-devel gzip imlib imlib-devel indent info insserv intltool jack jack-devel klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc41 libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmikmod libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml libxml-devel libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl orbit orbit-devel pam pam-modules patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           xmms
BuildRequires:  arts-devel esound-devel gnome-patch-translation gtk-devel imlib-devel libdrm-devel libjpeg-devel libmikmod libxml-devel orbit-devel update-desktop-files
%define splitmad 1 
Summary:        The extensible media player
Version:        1.2.10
Release:        133
URL:            http://www.xmms.org/
License:        GNU General Public License (GPL)
Group:          Productivity/Multimedia/Sound/Players
Provides:       x11amp
Autoreqprov:    on
Requires:       xmms-lib = %version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
NoSource:       0
Source27:       README.3dse
Source1:        xmmsuse-1.0-2.tar.bz2
Source2:        xmmsuse_blue-1.2-3.tar.bz2
Source3:        xmms.desktop
Source4:        xmms_enqueue.desktop
Source5:        xmms_audio_cd.desktop
Source6:        %{name}-%{version}-gentoo-m4-1.1.tar.bz2
Patch0:         %{name}-%{version}-cvs-release.diff
Patch1:         %{name}-%{version}-cvs-20050526.diff
Patch2:         xmms-wchar.patch
Patch3:         xmms-skins.patch
Patch4:         xmms-output-auto.patch
Patch5:         xmms-gcc4.patch
Patch8:         xmms-1.2.8-fontset.diff
Patch18:        xmms-1.2.5-3dse-11.patch
Patch19:        xmms-1.2.8-3dse-11-fix.patch
Patch21:        xmms-1.2.6-dlopen-fix.diff
Patch22:        xmms-1.2.7-am_gettext.fix
Patch24:        xmms-ptr_int_casts.diff
Patch25:        xmms-mpg123_no_strict_aliasing.diff
Patch26:        xmms-codecleanup.diff
Patch28:        xmms-no_unused_parameter.patch
Patch31:        cdaudio-device.patch
Patch32:        xmms-1.2.10-nb.patch
Patch34:        xmms-output-auto-fix.diff
Patch35:        xmms-output-auto-noarts.diff
Patch36:        aliasing.patch
Patch37:        %{name}-%{version}-libxmms-charset.diff
Patch38:        %{name}-%{version}-id3convert.diff
Patch39:        %{name}-%{version}-latin-id3.diff
Patch40:        %{name}-%{version}-encode-override.diff
Patch41:        %{name}-%{version}-id3v2edit.diff
Patch42:        %{name}-%{version}-uninitialized.diff
Patch43:        %{name}-%{version}-crossfade-0.3.9.diff
Patch44:        %{name}-%{version}-play-audiocd.diff
Patch45:        %{name}-%{version}-cdaudio-cddb-proxy.diff
Patch46:        %{name}-%{version}-sigterm.diff
Patch47:        %{name}-%{version}-vorbis.patch
Patch48:        %{name}-bmp-loader-overflows.dpatch                                                                  
Provides:       alsa-xmms
Obsoletes:      alsa-xmms
%if %splitmad
%define my_provides /tmp/my-provides
%endif

%description
Xmms is a media player for the X Window System that supports Winamp
skins and that has a sophisticated plugin system that allows for easy
extension of its abilities. Xmms is able to deal with all common types
of media files.

You might want to have a look at the xmms-plugins package which
contains a large number of effect, input, output, and visualization
plugins for xmms.



Authors:
--------
    Plugins:
    Agawa Koji <kaoru-k@self-core.org>
    Andrew Birck
    Andy Goth <unununium@openverse.com>
    Andy O'Meara <aco5@cornell.edu>
    Baruch Even <baruch.even@writeme.com>
    Ben Gertzfield <che@debian.org>
    Boris Gjenero <bgjenero@sympatico.ca>
    Carl van Schaik <carl@leg.uct.ac.za>
    Cedric Delfosse <cdelfosse@free.fr>
    Charles <int@linuxcore.com>
    Chris Vaill <cvaill@cs.columbia.edu>
    Christoph Bartelmus <xmms@bartelmus.de>
    Christopher Wilson
    David Price <mantys@goldweb.com.au>
    Fabrice Haberer-Proust <info@proustmedia.de>
    Florian Berger <florian.berger@jku.at>
    Franco Catrin L. <ancelot@directo.cl>
    Fredrik Hallenberg <hallon@lysator.liu.se>
    Fumihiko Murata <fmurata@p1.tcnet.ne.jp>
    Gary Henderson <gary@daniver.demon.co.uk>
    George Yohng <yohng@drivex.dosware.8m.com>
    Haavard Kvaalen <havardk@xmms.org>
    Holger Kiel <hk@kforce.de>
    JC Hoelt <jeko@free.fr>
    Jamie Strachan <frostfreek@yahoo.com>
    Jan-Marek Glogowski <glogow@vas.fh-darmstadt.de>
    Jared Maguire <jared@choronzon.net>
    Jason Jordan <shnutils@freeshell.org>
    Jerremy Koot <jkoot@snes9x.com>
    Joe Sola
    Julien Carme <julien.carme@acm.org>
    Kenton Varda <temporal@gauge3d.org>
    konstanty@ieee.org
    Lars Siebold <khandha5@gmx.net>
    Marc Bruenink
    Marc Reichman <herbman@baked.org>
    Mark Volpe <volpe.mark@epamail.epa.gov>
    Martin Weghofer
    Matt Bardeen <mbardeen@gte.net>
    Matthieu Sozeau <mattam@netcourrier.com>
    Michael Doering <mld@users.sourceforge.net>
    Michal Kunikowski <kunik@poczta.onet.pl>
    Mitja Horvat <Mitja.Horvat@hermes.si>
    Olivier Lapicque <olivierl@jps.net>
    Olle Hllns <olle@xmms.org>
    Pascal Brochart <p.brochart@libertysurf.fr>
    Paul Harrison <pfh@yoyo.cc.monash.edu.au>
    Peter Eisenlohr <p.eisenlohr@gmx.net>
    Phillip K. Hornung <falcon@pknet.com>
    Rafal Bosak <gyver@fanthom.irc.pl>
    Reinhard Knothe <knothe@informatik.uni-freiburg.de>
    Remi Arquier <arquier@crans.org>
    Seth Golub <seth@aigeek.com>
    Shinya Uchimaki <abekiti@mbg.sphere.ne.jp>
    Stefan "Gemo" Jonasson
    Steve Kirkendall <kirkenda@cs.pdx.edu>
    Tamas Pal <folti@fiktiv.szgtikol.kando.hu>
    Tim Ferguson <timf@csse.monash.edu.au>
    Travis Emslander <hexix@figz.com>
    Ulrich Hecht <uli@emulinks.de>
    Viard Julien <silicone@free.fr>
    Ville Syrjl <syrjala@sci.fi>
    Vgvlgyi Attila <wigy@null.net>
    Willem Monsuwe <willem@stack.nl>
    Zinx Verituse <zinx@linuxfreak.com>
    trikuare studios <xmms-compress@trikuare.cx>
    Skins:
    Viljo Viitanen <3v@iki.fi>
    Andras Saudemont
    MiRKo <mirko82@beotel.yu>
    Omar Hussain <ohussain@hotmail.com>
    J. Mayled <mayled@alum.calberkeley.org>
    Andrzej Kowalik <ak@un8.com>
    Colin Burn-Murdoch <colin@multiweb.f9.co.uk>

%package lib
Summary:        The extensible media player
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on

%description lib
Xmms is a media player for the X Window System that supports Winamp
skins and that has a sophisticated plugin system that allows for easy
extension of its abilities. Xmms is able to deal with all common types
of media files.

You might want to have a look at the xmms-plugins package which
contains a large number of effect, input, output, and visualization
plugins for xmms.



Authors:
--------
    Plugins:
    Agawa Koji <kaoru-k@self-core.org>
    Andrew Birck
    Andy Goth <unununium@openverse.com>
    Andy O'Meara <aco5@cornell.edu>
    Baruch Even <baruch.even@writeme.com>
    Ben Gertzfield <che@debian.org>
    Boris Gjenero <bgjenero@sympatico.ca>
    Carl van Schaik <carl@leg.uct.ac.za>
    Cedric Delfosse <cdelfosse@free.fr>
    Charles <int@linuxcore.com>
    Chris Vaill <cvaill@cs.columbia.edu>
    Christoph Bartelmus <xmms@bartelmus.de>
    Christopher Wilson
    David Price <mantys@goldweb.com.au>
    Fabrice Haberer-Proust <info@proustmedia.de>
    Florian Berger <florian.berger@jku.at>
    Franco Catrin L. <ancelot@directo.cl>
    Fredrik Hallenberg <hallon@lysator.liu.se>
    Fumihiko Murata <fmurata@p1.tcnet.ne.jp>
    Gary Henderson <gary@daniver.demon.co.uk>
    George Yohng <yohng@drivex.dosware.8m.com>
    Haavard Kvaalen <havardk@xmms.org>
    Holger Kiel <hk@kforce.de>
    JC Hoelt <jeko@free.fr>
    Jamie Strachan <frostfreek@yahoo.com>
    Jan-Marek Glogowski <glogow@vas.fh-darmstadt.de>
    Jared Maguire <jared@choronzon.net>
    Jason Jordan <shnutils@freeshell.org>
    Jerremy Koot <jkoot@snes9x.com>
    Joe Sola
    Julien Carme <julien.carme@acm.org>
    Kenton Varda <temporal@gauge3d.org>
    konstanty@ieee.org
    Lars Siebold <khandha5@gmx.net>
    Marc Bruenink
    Marc Reichman <herbman@baked.org>
    Mark Volpe <volpe.mark@epamail.epa.gov>
    Martin Weghofer
    Matt Bardeen <mbardeen@gte.net>
    Matthieu Sozeau <mattam@netcourrier.com>
    Michael Doering <mld@users.sourceforge.net>
    Michal Kunikowski <kunik@poczta.onet.pl>
    Mitja Horvat <Mitja.Horvat@hermes.si>
    Olivier Lapicque <olivierl@jps.net>
    Olle Hllns <olle@xmms.org>
    Pascal Brochart <p.brochart@libertysurf.fr>
    Paul Harrison <pfh@yoyo.cc.monash.edu.au>
    Peter Eisenlohr <p.eisenlohr@gmx.net>
    Phillip K. Hornung <falcon@pknet.com>
    Rafal Bosak <gyver@fanthom.irc.pl>
    Reinhard Knothe <knothe@informatik.uni-freiburg.de>
    Remi Arquier <arquier@crans.org>
    Seth Golub <seth@aigeek.com>
    Shinya Uchimaki <abekiti@mbg.sphere.ne.jp>
    Stefan "Gemo" Jonasson
    Steve Kirkendall <kirkenda@cs.pdx.edu>
    Tamas Pal <folti@fiktiv.szgtikol.kando.hu>
    Tim Ferguson <timf@csse.monash.edu.au>
    Travis Emslander <hexix@figz.com>
    Ulrich Hecht <uli@emulinks.de>
    Viard Julien <silicone@free.fr>
    Ville Syrjl <syrjala@sci.fi>
    Vgvlgyi Attila <wigy@null.net>
    Willem Monsuwe <willem@stack.nl>
    Zinx Verituse <zinx@linuxfreak.com>
    trikuare studios <xmms-compress@trikuare.cx>
    Skins:
    Viljo Viitanen <3v@iki.fi>
    Andras Saudemont
    MiRKo <mirko82@beotel.yu>
    Omar Hussain <ohussain@hotmail.com>
    J. Mayled <mayled@alum.calberkeley.org>
    Andrzej Kowalik <ak@un8.com>
    Colin Burn-Murdoch <colin@multiweb.f9.co.uk>

%if %splitmad
%package lib-mad 
Summary:        The extensible media player
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    off
    

%description lib-mad
Xmms is a media player for the X Window System that supports Winamp
skins and that has a sophisticated plugin system that allows for easy
extension of its abilities. Xmms is able to deal with all common types
of media files.

You might want to have a look at the xmms-plugins package which
contains a large number of effect, input, output, and visualization
plugins for xmms.



Authors:
--------
    Plugins:
    Agawa Koji <kaoru-k@self-core.org>
    Andrew Birck
    Andy Goth <unununium@openverse.com>
    Andy O'Meara <aco5@cornell.edu>
    Baruch Even <baruch.even@writeme.com>
    Ben Gertzfield <che@debian.org>
    Boris Gjenero <bgjenero@sympatico.ca>
    Carl van Schaik <carl@leg.uct.ac.za>
    Cedric Delfosse <cdelfosse@free.fr>
    Charles <int@linuxcore.com>
    Chris Vaill <cvaill@cs.columbia.edu>
    Christoph Bartelmus <xmms@bartelmus.de>
    Christopher Wilson
    David Price <mantys@goldweb.com.au>
    Fabrice Haberer-Proust <info@proustmedia.de>
    Florian Berger <florian.berger@jku.at>
    Franco Catrin L. <ancelot@directo.cl>
    Fredrik Hallenberg <hallon@lysator.liu.se>
    Fumihiko Murata <fmurata@p1.tcnet.ne.jp>
    Gary Henderson <gary@daniver.demon.co.uk>
    George Yohng <yohng@drivex.dosware.8m.com>
    Haavard Kvaalen <havardk@xmms.org>
    Holger Kiel <hk@kforce.de>
    JC Hoelt <jeko@free.fr>
    Jamie Strachan <frostfreek@yahoo.com>
    Jan-Marek Glogowski <glogow@vas.fh-darmstadt.de>
    Jared Maguire <jared@choronzon.net>
    Jason Jordan <shnutils@freeshell.org>
    Jerremy Koot <jkoot@snes9x.com>
    Joe Sola
    Julien Carme <julien.carme@acm.org>
    Kenton Varda <temporal@gauge3d.org>
    konstanty@ieee.org
    Lars Siebold <khandha5@gmx.net>
    Marc Bruenink
    Marc Reichman <herbman@baked.org>
    Mark Volpe <volpe.mark@epamail.epa.gov>
    Martin Weghofer
    Matt Bardeen <mbardeen@gte.net>
    Matthieu Sozeau <mattam@netcourrier.com>
    Michael Doering <mld@users.sourceforge.net>
    Michal Kunikowski <kunik@poczta.onet.pl>
    Mitja Horvat <Mitja.Horvat@hermes.si>
    Olivier Lapicque <olivierl@jps.net>
    Olle Hllns <olle@xmms.org>
    Pascal Brochart <p.brochart@libertysurf.fr>
    Paul Harrison <pfh@yoyo.cc.monash.edu.au>
    Peter Eisenlohr <p.eisenlohr@gmx.net>
    Phillip K. Hornung <falcon@pknet.com>
    Rafal Bosak <gyver@fanthom.irc.pl>
    Reinhard Knothe <knothe@informatik.uni-freiburg.de>
    Remi Arquier <arquier@crans.org>
    Seth Golub <seth@aigeek.com>
    Shinya Uchimaki <abekiti@mbg.sphere.ne.jp>
    Stefan "Gemo" Jonasson
    Steve Kirkendall <kirkenda@cs.pdx.edu>
    Tamas Pal <folti@fiktiv.szgtikol.kando.hu>
    Tim Ferguson <timf@csse.monash.edu.au>
    Travis Emslander <hexix@figz.com>
    Ulrich Hecht <uli@emulinks.de>
    Viard Julien <silicone@free.fr>
    Ville Syrjl <syrjala@sci.fi>
    Vgvlgyi Attila <wigy@null.net>
    Willem Monsuwe <willem@stack.nl>
    Zinx Verituse <zinx@linuxfreak.com>
    trikuare studios <xmms-compress@trikuare.cx>
    Skins:
    Viljo Viitanen <3v@iki.fi>
    Andras Saudemont
    MiRKo <mirko82@beotel.yu>
    Omar Hussain <ohussain@hotmail.com>
    J. Mayled <mayled@alum.calberkeley.org>
    Andrzej Kowalik <ak@un8.com>
    Colin Burn-Murdoch <colin@multiweb.f9.co.uk>

%endif
%package devel
Summary:        The extensible media player
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version} glib-devel gtk-devel

%description devel
Xmms is a media player for the X Window System that supports Winamp
skins and that has a sophisticated plugin system that allows for easy
extension of its abilities. Xmms is able to deal with all common types
of media files.

You might want to have a look at the xmms-plugins package which
contains a large number of effect, input, output, and visualization
plugins for xmms.



Authors:
--------
    Mikael Alm <mikael@xmms.org>
    Thomas Nilsson <thomas@xmms.org>
    Olle Hllns <olle@xmms.org>
    Peter Alm <peter@xmms.org>
    Julien Carme <julien.carme@acm.org>
    Mitja Horvat <Mitja.Horvat@hermes.si>
    Willem Monsuwe <willem@stack.nl>
    Derrik Pates
    Hvard Kvlen <havardk@xmms.org>
    Charles Sielski
    Sean Atkinson
    Stephan K. Zitz
    Jrg Schuler
    Anders Carlsson
    Lyle B. Kempler
    Eric
    Eric L. Hernes

%prep
%setup -q -a6
gnome-patch-translation-prepare
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch8
%patch18
%patch19
rm Output/OSS/soundcard.h
%patch21
%if %suse_version > 810
%patch22
%endif
%patch24
%patch25
%patch26
%patch28
%patch31
%patch32
%patch34
%patch35
%patch36
%patch37
%patch38
%patch39
%patch40
%patch41
%patch42
%patch43
%patch44
%patch45
%patch46
%patch47
%patch48
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed "s/ no / /" po/LINGUAS > po/LINGUAS.tmp && mv po/LINGUAS.tmp po/LINGUAS
# Convert translations to UTF-8
for file in $(grep -L charset=UTF-8 po/*.po) ; do
    msgconv -t UTF-8 $file >$file.new
    mv $file.new $file
done
gnome-patch-translation-update

%build
%{suse_update_config -f . libxmms }
M4_DIR=`pwd`/m4
for i in . libxmms; do
	pushd $i
	rm acinclude.m4
	libtoolize --force --copy
	[ ! -f ltmain.sh ] && ln -s ../ltmain.sh
	aclocal --force -I $M4_DIR
	autoheader --force
	automake --gnu --add-missing --include-deps --force-missing --copy
	autoconf --force
	popd
done
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
CCASFLAGS="-Wa,--noexecstack" \
	./configure \
%ifarch %ix86
	--enable-simd \
%endif
	--enable-ipv6 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir}
make %{?jobs:-j %jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/xmms
install -m 644 $RPM_SOURCE_DIR/README.3dse README AUTHORS COPYING ChangeLog FAQ INSTALL NEWS $RPM_BUILD_ROOT%{_docdir}/xmms
%if %splitmad
# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v /usr/%_lib/xmms | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
%endif
rm -f %{_infodir}/dir.bak.gz
install -d -m 755 $RPM_BUILD_ROOT/usr/share/xmms/Skins
%if %ul_version == 0
install -m 644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/usr/share/xmms/Skins
%endif
# remove unwanted files
rm $RPM_BUILD_ROOT%_libdir/libxmms.a
%ifarch s390 s390x
rm $RPM_BUILD_ROOT/usr/%_lib/xmms/Output/libesdout.{la,so}
%endif
%find_lang %name
%suse_update_desktop_file -i xmms         AudioVideo Player
install -m 0644 %SOURCE4 $RPM_BUILD_ROOT/usr/share/applications/
install -m 0644 %SOURCE5 $RPM_BUILD_ROOT/usr/share/applications/
#%suse_update_desktop_file -i xmms_audio_cd AudioVideo Player
%suse_update_desktop_file -i xmms_audio_cd X-SuSE-CD Player
mkdir -p $RPM_BUILD_ROOT/media/xmms_audio_cd

%clean
rm -rf $RPM_BUILD_ROOT
%if %splitmad
rm -f %{my_provides}
%endif

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%dir %{_docdir}/xmms
%{_docdir}/xmms/AUTHORS
%{_docdir}/xmms/COPYING
%{_docdir}/xmms/ChangeLog
%{_docdir}/xmms/INSTALL
%{_docdir}/xmms/FAQ
%{_docdir}/xmms/NEWS
%{_docdir}/xmms/README*
%dir /usr/share/xmms
/usr/share/xmms/wmxmms.xpm
%dir /usr/share/xmms/Skins
%if %ul_version == 0
/usr/share/xmms/Skins/*
%endif
/usr/bin/wmxmms
/usr/bin/xmms
/usr/share/applications/*.desktop
/usr/share/pixmaps/xmms.png
%_mandir/man1/wmxmms.1.gz
%_mandir/man1/xmms.1.gz
%dir /media/xmms_audio_cd

%files lib -f %name.lang
%defattr(-,root,root)
%dir /usr/%_lib/xmms
%dir /usr/%_lib/xmms/Effect
/usr/%_lib/xmms/Effect/libecho.so
/usr/%_lib/xmms/Effect/libstereo.so
/usr/%_lib/xmms/Effect/libvoice.so
%dir /usr/%_lib/xmms/General
/usr/%_lib/xmms/General/libir.so
/usr/%_lib/xmms/General/libjoy.so
/usr/%_lib/xmms/General/libsong_change.so
%dir /usr/%_lib/xmms/Input
/usr/%_lib/xmms/Input/libcdaudio.so
/usr/%_lib/xmms/Input/libmikmod.so
/usr/%_lib/xmms/Input/libtonegen.so
/usr/%_lib/xmms/Input/libwav.so
/usr/%_lib/xmms/Input/libvorbis.so
%dir /usr/%_lib/xmms/Output
/usr/%_lib/xmms/Output/libOSS.so
/usr/%_lib/xmms/Output/libdisk_writer.so
/usr/%_lib/xmms/Output/libALSA.so
%ifnarch s390 s390x
/usr/%_lib/xmms/Output/libesdout.so
%endif
%dir /usr/%_lib/xmms/Visualization
/usr/%_lib/xmms/Visualization/libbscope.so
/usr/%_lib/xmms/Visualization/libogl_spectrum.so
/usr/%_lib/xmms/Visualization/libsanalyzer.so
/usr/%_lib/libxmms.so.*
%if %splitmad

%files lib-mad
%defattr(-,root,root)
%endif
/usr/%_lib/xmms/Input/libmpg123.so
/usr/%_lib/xmms/Input/libmpg123.la

%files devel
%defattr(-,root,root)
/usr/include/xmms
/usr/%_lib/xmms/Effect/libecho.la
/usr/%_lib/xmms/Effect/libstereo.la
/usr/%_lib/xmms/Effect/libvoice.la
/usr/%_lib/xmms/General/libir.la
/usr/%_lib/xmms/General/libjoy.la
/usr/%_lib/xmms/General/libsong_change.la
/usr/%_lib/xmms/Input/libcdaudio.la
/usr/%_lib/xmms/Input/libmikmod.la
/usr/%_lib/xmms/Input/libtonegen.la
/usr/%_lib/xmms/Input/libwav.la
/usr/%_lib/xmms/Input/libvorbis.la
/usr/%_lib/xmms/Output/libOSS.la
/usr/%_lib/xmms/Output/libdisk_writer.la
/usr/%_lib/xmms/Output/libALSA.la
%ifnarch s390 s390x
/usr/%_lib/xmms/Output/libesdout.la
%endif
/usr/%_lib/xmms/Visualization/libbscope.la
/usr/%_lib/xmms/Visualization/libogl_spectrum.la
/usr/%_lib/xmms/Visualization/libsanalyzer.la
/usr/bin/xmms-config
# /usr/%_lib/libxmms.a
/usr/%_lib/libxmms.la
/usr/%_lib/libxmms.so
/usr/share/aclocal/xmms.m4

%changelog
* Fri Mar 30 2007 - sbrabec@suse.cz
- Fixed buffer overflows when loading bmp skin bitmaps (#242997,
  CVE-2007-0653, CVE-2007-0654).
* Tue Aug 08 2006 - anosek@suse.cz
- fixed vorbis.c:447: warning: comparisons like X<=Y<=Z do not have
  their mathematical meaning [# 191191] (xmms-1.2.10-vorbis.patch)
* Wed Jun 14 2006 - dmueller@suse.de
- build parallel
* Fri May 26 2006 - schwab@suse.de
- Fix use of --noexecstack flag.
* Thu Apr 06 2006 - sbrabec@suse.cz
- Fixed playlist font color for xmmsuse and xmmsuse_blue (#116959).
* Tue Mar 07 2006 - sbrabec@suse.cz
- Fixed build.
* Thu Feb 23 2006 - mjancar@suse.cz
- fix crash on crossfade (#72418)
- fix unresolved symbols in libir.so (#113387)
- add encoding patches and m4 macros from Gentoo (#114669)
- add menu item for direct audiocd playback (#117757)
* Mon Feb 06 2006 - ro@suse.de
- fix build
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Thu Nov 03 2005 - uli@suse.de
- adhere to strict aliasing rules of gcc 4.1
* Tue Sep 20 2005 - hvogel@suse.de
- make split of mad subpackage a config option
* Mon Aug 15 2005 - tiwai@suse.de
- Don't prefer artsd for KDE (#99269).
* Mon Jun 20 2005 - sbrabec@suse.cz
-  Fixed devel dependencies (#91361).
* Fri Apr 22 2005 - sbrabec@suse.cz
- Converted all translations to UTF-8 (#72355).
* Tue Apr 12 2005 - ro@suse.de
- added audiofile-devel to neededforbuild
* Mon Apr 04 2005 - sbrabec@suse.cz
- Fixes for GCC 4 (character set, obsolete declarations).
* Wed Mar 09 2005 - adrian@suse.de
- avoid dependencies to main package
* Thu Feb 24 2005 - tiwai@suse.de
- fixed the possible race condition in ALSA output plugin.
* Mon Feb 07 2005 - tiwai@suse.de
- fixed/clean up ALSA output plugin.
* Fri Jan 28 2005 - hvogel@suse.de
- package mp3 plugins into subpackage
* Thu Jan 27 2005 - tiwai@suse.de
- fixed the sample rate conversion with ALSA dmix.
* Thu Jan 20 2005 - sbrabec@suse.cz
- Created xmms_audio_cd.desktop.
* Tue Jan 11 2005 - tiwai@suse.de
- improve ALSA output plugin
- fix NULL pointer access with auto-output selection
* Fri Nov 19 2004 - ro@suse.de
- include icon in filelist
* Wed Oct 20 2004 - ro@suse.de
- locale rename: no -> nb
* Wed Oct 13 2004 - sbrabec@suse.cz
- Fixed underquoted definitions in xmms.m4 (#47186).
* Wed Sep 22 2004 - sbrabec@suse.cz
- Fixed crash in xmms-output-auto.patch, if plugin manipulates with output
  plugin list list explicitly (#45243).
* Mon Sep 20 2004 - sbrabec@suse.cz
- Fixed cdaudio path, created pseudo-device /media/xmms_audio_cd (#45258).
* Fri Sep 17 2004 - adrian@suse.de
- remove InitialPreference line from desktop files
* Sat Aug 28 2004 - schwab@suse.de
- Fix requires.
* Fri Aug 27 2004 - sbrabec@suse.cz
- Fixed subpackage dependencies.
* Mon Aug 23 2004 - sbrabec@suse.cz
- Package split (xmms, xmms-lib, xmms-devel).
* Thu Apr 15 2004 - tiwai@suse.de
- fixed the handling of suspend/resume of ALSA output (#38571).
* Tue Mar 23 2004 - sbrabec@suse.cz
- Fixed automatic output patch for KDE (#34415).
* Tue Mar 09 2004 - sbrabec@suse.cz
- Added output plugin automatic detection patch (bug #34415),
* Wed Feb 25 2004 - sbrabec@suse.cz
- Updated to version 1.2.10.
* Tue Feb 10 2004 - sbrabec@suse.cz
- Updated to version 1.2.9.
* Sun Jan 18 2004 - meissner@suse.de
- unbreak build failure caused by last autoconf update.
* Mon Jan 12 2004 - uli@suse.de
- we finally have ALSA on s390*
* Mon Sep 22 2003 - aj@suse.de
- Fix system_skin_used.
* Sat Sep 20 2003 - adrian@suse.de
- handle remote playlist files correctly and invoke play
  after click on a radio stream
* Fri Sep 19 2003 - pthomas@suse.de
- Compile the libmpg123 code with -fno-strict-aliasing
- Fix pointer<->int casts
- Let configure add -Wno-unused-parameter to CFLAGS
- Fix compiler warnings in OSS/mixer.c
* Tue Sep 16 2003 - uli@suse.de
- no ALSA/ESD on s390x either
* Sat Sep 13 2003 - adrian@suse.de
- raise InitialPreference also for local files
* Wed Sep 10 2003 - sbrabec@suse.cz
- Updated Hungarian translation.
* Tue Sep 09 2003 - sbrabec@suse.cz
- Updated to version 1.2.8.
- Enabled IPv6 support.
* Sun Sep 07 2003 - adrian@suse.de
- install non-visible xmms-enqueue.desktop to support streaming
- raise InitialPreference
* Thu Aug 28 2003 - tiwai@suse.de
- fixed the filelist for s390.
* Mon Aug 18 2003 - tiwai@suse.de
- fixed the alsa output plugin for 64bit architectures.
- added provides/obsoletes tags for alsa-xmms.
* Fri Aug 15 2003 - adrian@suse.de
- package desktop file
* Thu Aug 14 2003 - sbrabec@suse.cz
- Updated to version 1.2.8-pre1.
- Dropped xmms-cdread (now obsolette).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Sat Jun 21 2003 - mmj@suse.de
- Remove unwanted files from buildroot on s390
* Fri Jun 20 2003 - mmj@suse.de
- Build with current gettext
* Mon Jun 16 2003 - coolo@suse.de
- use BuildRoot
- use %%find_lang
* Mon Jun 02 2003 - schwab@suse.de
- More fixes for display with internal font in multibyte locale.
* Tue Apr 22 2003 - sbrabec@suse.cz
- Fixed read_config segfault in skin patch (bug #25723).
* Tue Apr 22 2003 - sbrabec@suse.cz
- Use $STYLE, not $THEME for system skin.
* Fri Apr 18 2003 - sbrabec@suse.cz
- Added xmms system skin patch (bug #25723; xmms now reads $THEME on
  startup).
* Mon Mar 31 2003 - sbrabec@suse.cz
- Branched xmms-devel.
* Wed Mar 12 2003 - sbrabec@suse.cz
- Added xmmsuse_blue skin (provided by comp@suselinux.hu).
* Thu Dec 19 2002 - sbrabec@suse.cz
- FHS fix - everything moved to single prefix /usr.
- Created universal spec file for all distributions.
* Tue Nov 19 2002 - ro@suse.de
- fixed build with new autoconf (use AM_GNU_GETTEXT_VERSION)
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Wed Oct 09 2002 - schwab@suse.de
- Fix last change.
* Mon Oct 07 2002 - schwab@suse.de
- Fix text display with internal font for multibyte locales.
* Thu Sep 26 2002 - uli@suse.de
- disabled SuSE skin on United Linux
* Wed Sep 04 2002 - uli@suse.de
- added SuSE skin by Peter Breuer
* Wed Aug 14 2002 - ro@suse.de
- ripped out gnome subpackage (no more gnome1 applets here)
* Thu Jul 18 2002 - uli@suse.de
- ditched ALSA plugin; It breaks all the time and is inferior
  to the OSS plugin even when used with ALSA
* Sat Jun 01 2002 - ro@suse.de
- changed neededforbuild <libmikmo> to <libmikmod>
* Tue May 21 2002 - ro@suse.de
- use libdir
* Tue Apr 23 2002 - uli@suse.de
- update -> 1.2.7
- updated alsaout (now alsa-xmms) -> 0.9 (fixes bug #15940)
* Thu Apr 04 2002 - schwab@suse.de
- Fix for new autotools.
* Thu Mar 07 2002 - uli@suse.de
- added fix from 1.2.7 that prevents crashes on certain MP3 files
  from happening (xmms bugzilla bug #580)
* Fri Feb 15 2002 - ro@suse.de
- changed neededforbuild <kdelibs3-artsd> to <arts arts-devel>
* Mon Feb 04 2002 - schwab@suse.de
- Fix libtool configuration.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 30 2002 - uli@suse.de
- fixed to build on s390
* Thu Jan 24 2002 - ro@suse.de
- added extra -I/opt/gnome/include for gnomexmms
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Wed Jan 16 2002 - uli@suse.de
- forgot to change version no. of gnome subpack
* Wed Jan 16 2002 - uli@suse.de
- update -> 1.2.6 (bugfixes)
- disabled MMX patch (doesn't fit this version)
- ditched ASS patch (unmaintained, can be replaced with a plugin)
- only open ALSA plugin with RTLD_GLOBAL
* Mon Dec 10 2001 - tiwai@suse.de
- fixed error handling in alsaout plugin.
* Tue Dec 04 2001 - tiwai@suse.de
- removed obsolete xmms-aalsa from source.
- added libxml and libxml-devel to neededforbuild.
- added alsaout plugin (0.9beta8 with fixes) for the new ALSA API.
* Tue Nov 20 2001 - uli@suse.de
- added MMX decoder from mpg123 CVS (patch by Kayasono)
* Fri Nov 09 2001 - ro@suse.de
- use mesa-devel-packages
* Tue Nov 06 2001 - uli@suse.de
- fixed for new automake
* Fri Oct 19 2001 - schwab@suse.de
- Fix reading of MP3 tag header.
* Sun Sep 16 2001 - schwab@suse.de
- Never link a shared library with -nostdlib.
- Fix fini function in cdread plugin.
* Thu Aug 23 2001 - uli@suse.de
- moved plugins to separate package to facilitate maintenance
* Tue Aug 21 2001 - uli@suse.de
- new plugins: crystality (effect), lava (visualization)
* Tue Aug 14 2001 - uli@suse.de
- new plugins Jaws, fishmatic
* Mon Aug 13 2001 - pthomas@suse.de
- Small corrections for Zon, waterfall and jakdaw plugins.
- Reduce compiler warnings for blur scope and fix a real
  bug (use of uninitalized var) in blur_scope.c (wave_matt).
* Thu Aug 09 2001 - uli@suse.de
- update plugin goodnight -> 0.3.0
- update ASS patch -> 20010804
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Mon Aug 06 2001 - uli@suse.de
- updated plugin volnorm -> 0.8.1
* Tue Jul 31 2001 - uli@suse.de
- building libxmms manually (workaround for autoconf 2.52)
- fixed passing of RPM_OPT_FLAGS for several plugins
- disabled spcxmms, waterfall, sidplay, modplug on AXP
- fixed ASS patch so it creates stats file if none present yet
* Mon Jul 23 2001 - uli@suse.de
- added ASS patch by Johan Walles
* Fri Jul 20 2001 - uli@suse.de
- cdaudio plugin disabled by default on PPC
* Mon Jul 16 2001 - uli@suse.de
- fixed Zon for gcc 3
- updated plugin goom -> 1.7
- new plugin qt-xmms 0.1.0
* Wed Jul 04 2001 - uli@suse.de
- updated plugins: lirc-xmms -> 1.2, xmms-singit -> 0.1.15
- added 3D stereo patch
* Tue Jun 26 2001 - uli@suse.de
- update -> 1.2.5
- removed DGA stuff from blur_scope_max (no longer supported by xmms)
- updated plugins: xmms-cdread -> 0.11d, xmms-singit -> 0.1.14,
  xmms-crossfade -> 0.2.9, synaesthesia-xmms -> 0.0.3-rc3,
  xmms-sidplay -> 0.40, goom -> 1.6
- new plugin sndstretch_xmms
* Wed Jun 20 2001 - ro@suse.de
- aclocal/gettextize
* Tue Jun 12 2001 - ro@suse.de
- libtoolize/automake ... to make it build
* Tue May 22 2001 - uli@suse.de
- worked around assumption "sizeof(long)==4" in layer3.c
* Wed Apr 25 2001 - uli@suse.de
- "dlopen itself" check in xmms-cdread hangs on AXP, patching
  it out on the fly
* Fri Apr 20 2001 - uli@suse.de
- infinity: fixed my patch (plugin hung due to uninit'd timestamp)
* Tue Apr 17 2001 - uli@suse.de
- fixed to build in 7.1+kde
* Wed Apr 11 2001 - uli@suse.de
- fixed RPM_OPT_FLAGS passing for xmms and several plugins
- added suse_update_config before configure for several plugins
  (fixes IA64)
- build xmms-goodnight with "-fPIC" (fixes IA64)
- jess: fixed for 64 bit archs
* Thu Mar 29 2001 - uli@suse.de
- xmms-crossfade update -> 0.2.6
* Tue Mar 27 2001 - uli@suse.de
- fixed Zon plugin
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Thu Mar 22 2001 - uli@suse.de
- new plugin: jakdaw
- minor fixes
* Tue Mar 20 2001 - uli@suse.de
- new plugins: Zon, insap, pitch, waterfall
- updated plugins: jess -> 2.0.0, modplugxmms -> 1.5a,
  crossfade -> 0.2.4
* Mon Mar 19 2001 - uli@suse.de
- fixed for AXP
* Mon Mar 19 2001 - uli@suse.de
- disabled gforce for 64 bit archs
* Tue Mar 13 2001 - uli@suse.de
- new plugins: avi-xmms, blur_scope_max, goom, jess
- updated plugins: volnorm -> 0.4.1 (formerly normalize-volume)
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Feb 28 2001 - uli@suse.de
- new plugins: gforce, spcxmms, sidplay, synaesthesia
- updated plugins: nsf
* Sun Feb 25 2001 - egger@suse.de
- Removed unnecessary imlib-config from #neededforbuild.
* Sun Feb 25 2001 - egger@suse.de
- Added patch for Italian catalog to prevent crashes.
* Tue Feb 20 2001 - uli@suse.de
- no longer builds with XFree86 3.3.x
* Fri Feb 02 2001 - uli@suse.de
- disabled Endian fix for xmms-cdread (works only with broken
  dmasound driver, we now have ALSA)
* Wed Jan 31 2001 - tiwai@suse.de
- enabled Ogg Vorbis input plugin
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Thu Jan 25 2001 - violiet@suse.de
- added fontset.patch to display Japanese and Korean correctly
  in the playlist box.
* Mon Jan 22 2001 - ke@suse.de
- Install the FAQ document.
* Thu Nov 30 2000 - uli@suse.de
- update -> 1.2.4
- dropped 3dnow patch (has been merged with main tree)
* Wed Nov 22 2000 - uli@suse.de
- fixed install section for PPC
- fixed C*FLAGS for some plugins
- repacked all tarballs with bzip2
* Mon Nov 20 2000 - uli@suse.de
- added crossfade plugin
* Wed Nov 08 2000 - uli@suse.de
- added goodnight plugin
- disabled AALSA plugin (too crash-prone)
* Wed Nov 08 2000 - tiwai@suse.de
- rename packages:
  xmmsplug -> xmms-plugins
  gnomxmms -> xmms-gnome
* Tue Nov 07 2000 - tiwai@suse.de
- excluded plugins *.so files from provides.
* Tue Nov 07 2000 - kukuk@suse.de
- fixed neededforbuild: add esound-devel
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild: no mesa-devel yet
* Fri Nov 03 2000 - uli@suse.de
- fixed neededforbuild, Group
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 15 2000 - ro@suse.de
- added alpha-fix
* Mon Sep 25 2000 - uli@suse.de
- added singit plugin
- moved message catalogs to proper location
* Wed Sep 20 2000 - uli@suse.de
- update xmms -> 1.2.3
- update normalize-volume -> 0.3.4
* Fri Sep 15 2000 - uli@suse.de
- updated AALSA -> 0.5.4
* Fri Sep 15 2000 - uli@suse.de
- moved all non-standard plugins except AALSA and cdread to separate
  package xmmsplug
- added plugins: lirc-xmms, normalize-volume, xmms-nsf, xymms, Blursk
* Thu Sep 14 2000 - uli@suse.de
- added lirc plugin 0.8
* Wed Sep 13 2000 - uli@suse.de
- fixed xmms-cdread for Big Endian machines
* Tue Aug 29 2000 - uli@suse.de
- disabled aalsa for PPC
* Thu Aug 10 2000 - tiwai@suse.de
- added aalsa output plugin
* Wed Aug 02 2000 - uli@suse.de
- linking against libXxf86* from 3.3.6 to ensure compatibility
* Tue Aug 01 2000 - uli@suse.de
- added 50 fps limit to Infinity to make it less of a CPU hog
* Mon Jul 31 2000 - uli@suse.de
- update -> 1.2.2
- added 3dnow! optimizations (yes, it will still work on non-AMD
  CPUs)
- added Infinity 0.2 visualization plugin
- added xmms-cdread plugin; in grab mode, this should even work on
  PowerMacs
* Thu Jun 29 2000 - uli@suse.de
- changed defpath to CDROM from /mnt/cdrom to /cdrom
* Mon Jun 19 2000 - uli@suse.de
- moved GNOME applet to separate package to avoid GNOME dependencies
* Wed Jun 07 2000 - uli@suse.de
- fixed to build
- added modplug plugin
* Tue Feb 22 2000 - uli@suse.de
- update -> 1.0.1 (bugfix release)
* Wed Feb 02 2000 - uli@suse.de
- fixed libGL detection
- now builds with "-fsigned-char" and "-funroll-loops" instead
  of "-funroll-all-loops"
* Tue Feb 01 2000 - uli@suse.de
- update -> 1.0.0
* Tue Oct 26 1999 - uli@suse.de
- moved datadir from /usr/X11R6/share to /usr/share
* Tue Sep 28 1999 - uli@suse.de
- update -> 0.9.5.1
* Thu Sep 23 1999 - uli@suse.de
- update -> 0.9.5
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Wed Jun 23 1999 - uli@suse.de
- Spec file created from xmms-0.9.1.tar.gz by autospec
* Wed Jun 23 1999 - uli@suse.de
- name changed to xmms
* Wed May 05 1999 - uli@suse.de
- Spec file created from x11amp-0.9-beta1.1.tar.gz by autospec
* Tue Apr 13 1999 - uli@suse.de
- update 0.9alpha3 -> 0.9beta1
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Fri Mar 12 1999 - uli@suse.de
- update 0.9alpha2 -> 0.9alpha3
* Thu Feb 18 1999 - uli@suse.de
- update 0.7 -> 0.9alpha2
* Tue Nov 17 1998 - uli@suse.de
- new package, version 0.7
